import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:practica1_flutter/src/config/routes.dart';
import 'package:practica1_flutter/src/providers/carrito_provider.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MultiProvider(
      providers: [
        ChangeNotifierProvider(create: (_) => CarritoProvider()),
      ],
      child: MaterialApp(
        debugShowCheckedModeBanner: false,
        title: 'Practica Flutter',
        theme: ThemeData(
          colorScheme: ColorScheme.fromSeed(seedColor: Colors.deepPurple),
          useMaterial3: true,
        ),
        //home: myWidget() : Se quita la propiedad home para permitir la navegación basada en rutas
        initialRoute: 'login',  // se define la ruta inicial
        routes: getApplicationRoutes(),// Se usa las rutas definidas en routes.dart y se quito el myWidget
      ),
    );
  }
}
