import 'package:http/http.dart' as http;
import 'dart:convert';

import '../models/article_model.dart';

//METODO DE AGREGAR NUEVOS ARTICULOS
class ArticleService {
  final String _baseUrl = 'https://basic2.visorus.com.mx/articulo';

  Future<bool> addArticle(Map<String, dynamic> articleData) async {
    final response = await http.post(
      Uri.parse(_baseUrl),
      headers: {'Content-Type': 'application/json'},
      body: json.encode(articleData),
    );

    if (response.statusCode == 200) {
      return true;
    } else {
      return false;
    }
  }
}



class ArticleService1 {
  Future<List<ArticleModel>> getArticles() async {
    final response = await http.get(
        Uri.parse('https://basic2.visorus.com.mx/articulo?offset=0&max=100'));
    if (response.statusCode == 200) {
      final Map<String, dynamic> data = json.decode(response.body);
      List<dynamic> articlesData = data['data'];
      return articlesData.map((json) => ArticleModel.fromJson(json)).toList();
    } else {
      throw Exception('Error al cargar los artículos');
    }
  }
}